/*===========================================================================*/
/*   (Ieee/fixnum.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Ieee/fixnum.scm -indent -o objs/obj_u/Ieee/fixnum.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL bool_t BGl_positivefxzf3zf3zz__r4_numbers_6_5_fixnumz00(long);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL bool_t BGl_zc3fxzc3zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl__zd3elong1810zd3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
static obj_t BGl__fixnumzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_za7erofxzf3z54zz__r4_numbers_6_5_fixnumz00(long);
BGL_EXPORTED_DECL long BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_quotientz00zz__r4_numbers_6_5_fixnumz00(long, long);
extern double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
BGL_EXPORTED_DECL long BGl_lcmz00zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl__minfxz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_zd3llongzd3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl__stringzd2ze3llongz31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_fixnumzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl__negfxz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
static obj_t BGl__quotientz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
static obj_t BGl__zb2fxzb2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
static obj_t BGl__ze3fxze3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
static obj_t BGl__moduloz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_zc3zd3fxz10zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl__absfxz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
static obj_t BGl__oddzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
extern obj_t integer_to_string(long, long);
BGL_EXPORTED_DECL long BGl_remainderz00zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl__zd3llong1812zd3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
static obj_t BGl__positivefxzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3llongz31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
static obj_t BGl__evenzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
extern obj_t integer_to_string(long, long);
static obj_t BGl__makezd2elongzd2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_za2fxza2zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl__llongzd2ze3string1839z31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_EXPORTED_DECL bool_t BGl_elongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl__integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
static obj_t BGl__llongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_minfxz00zz__r4_numbers_6_5_fixnumz00(long, obj_t);
BGL_EXPORTED_DECL long BGl_negfxz00zz__r4_numbers_6_5_fixnumz00(long);
static obj_t BGl__zf2fxzf2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2elongzd2zz__r4_numbers_6_5_fixnumz00(long);
BGL_EXPORTED_DECL long BGl_gcdz00zz__r4_numbers_6_5_fixnumz00(obj_t);
BGL_EXPORTED_DECL int BGl_randomz00zz__r4_numbers_6_5_fixnumz00(int);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_fixnumz00();
BGL_EXPORTED_DECL bool_t BGl_oddzf3zf3zz__r4_numbers_6_5_fixnumz00(long);
BGL_EXPORTED_DECL obj_t BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
static obj_t BGl__maxfxz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_absfxz00zz__r4_numbers_6_5_fixnumz00(long);
static obj_t BGl__negativefxzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
static obj_t BGl__zc3fxzc3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00 = BUNSPEC;
extern obj_t llong_to_string(BGL_LONGLONG_T, long);
static obj_t BGl__lcmz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_evenzf3zf3zz__r4_numbers_6_5_fixnumz00(long);
BGL_EXPORTED_DECL obj_t BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
static obj_t BGl__remainderz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
static obj_t BGl__ze3zd3fxz30zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_EXPORTED_DECL bool_t BGl_ze3fxze3zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl__stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_zd3elongzd3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
static obj_t BGl__stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
BGL_EXPORTED_DECL long BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl__elongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_maxfxz00zz__r4_numbers_6_5_fixnumz00(long, obj_t);
BGL_EXPORTED_DECL bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_negativefxzf3zf3zz__r4_numbers_6_5_fixnumz00(long);
static obj_t BGl__elongzd2ze3string1837z31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
static obj_t BGl__zd2fxzd2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
static obj_t BGl__za2fxza2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
static obj_t BGl__zd3fxzd3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
static long BGl_lcm2z00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
static obj_t BGl__randomz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ze3zd3fxz30zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl__integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_zf2fxzf2zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl__za7erofxzf3z54zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
static obj_t BGl__zc3zd3fxz10zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_llongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl__gcdz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_lcmzd2envzd2zz__r4_numbers_6_5_fixnumz00, BgL_bgl__lcmza700za7za7__r4_numbers_6_5_fixnumza7001997z00, va_generic_entry, BGl__lcmz00zz__r4_numbers_6_5_fixnumz00, -1 );
DEFINE_EXPORT_PROCEDURE( BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00, BgL_bgl__za7c3za7d3fxza710za7za7__r4_numbers_6_5_fixnumza7001998z00, BGl__zc3zd3fxz10zz__r4_numbers_6_5_fixnumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_minfxzd2envzd2zz__r4_numbers_6_5_fixnumz00, BgL_bgl__minfxza700za7za7__r4_numbers_6_5_fixnumza7001999z00, va_generic_entry, BGl__minfxz00zz__r4_numbers_6_5_fixnumz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2ze3llongzd2envze3zz__r4_numbers_6_5_fixnumz00, BgL_bgl__stringza7d2za7e3llongza731za7za7__r4_numbers_6_5_fixnumza7002000z00, va_generic_entry, BGl__stringzd2ze3llongz31zz__r4_numbers_6_5_fixnumz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_evenzf3zd2envz21zz__r4_numbers_6_5_fixnumz00, BgL_bgl__evenza7f3za7f3za7za7__r4_numbers_6_5_fixnumza7002001za7, BGl__evenzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_modulozd2envzd2zz__r4_numbers_6_5_fixnumz00, BgL_bgl__moduloza700za7za7__r4_numbers_6_5_fixnumza7002002z00, BGl__moduloz00zz__r4_numbers_6_5_fixnumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_elongzf3zd2envz21zz__r4_numbers_6_5_fixnumz00, BgL_bgl__elongza7f3za7f3za7za7__r4_numbers_6_5_fixnumza7002003za7, BGl__elongzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_llongzd2ze3stringzd2envze3zz__r4_numbers_6_5_fixnumz00, BgL_bgl__llongza7d2za7e3string1839za731za7za7__r4_numbers_6_5_fixnumza7002004z00, va_generic_entry, BGl__llongzd2ze3string1839z31zz__r4_numbers_6_5_fixnumz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_integerzf3zd2envz21zz__r4_numbers_6_5_fixnumz00, BgL_bgl__integerza7f3za7f3za7za7__r4_numbers_6_5_fixnumza7002005za7, BGl__integerzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_absfxzd2envzd2zz__r4_numbers_6_5_fixnumz00, BgL_bgl__absfxza700za7za7__r4_numbers_6_5_fixnumza7002006z00, BGl__absfxz00zz__r4_numbers_6_5_fixnumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00, BgL_bgl__za7f2fxza7f2za7za7__r4_numbers_6_5_fixnumza7002007za7, BGl__zf2fxzf2zz__r4_numbers_6_5_fixnumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2ze3integerzd2envze3zz__r4_numbers_6_5_fixnumz00, BgL_bgl__stringza7d2za7e3integerza731za7za7__r4_numbers_6_5_fixnumza7002008z00, va_generic_entry, BGl__stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_randomzd2envzd2zz__r4_numbers_6_5_fixnumz00, BgL_bgl__randomza700za7za7__r4_numbers_6_5_fixnumza7002009z00, BGl__randomz00zz__r4_numbers_6_5_fixnumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_positivefxzf3zd2envz21zz__r4_numbers_6_5_fixnumz00, BgL_bgl__positivefxza7f3za7f3za7za7__r4_numbers_6_5_fixnumza7002010za7, BGl__positivefxzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_zd3elongzd2envz01zz__r4_numbers_6_5_fixnumz00, BgL_bgl__za7d3elong1810za7d3za7za7__r4_numbers_6_5_fixnumza7002011za7, BGl__zd3elong1810zd3zz__r4_numbers_6_5_fixnumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00, BgL_bgl__za7d2fxza7d2za7za7__r4_numbers_6_5_fixnumza7002012za7, BGl__zd2fxzd2zz__r4_numbers_6_5_fixnumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00, BgL_bgl__za7e3fxza7e3za7za7__r4_numbers_6_5_fixnumza7002013za7, BGl__ze3fxze3zz__r4_numbers_6_5_fixnumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_za7erofxzf3zd2envz86zz__r4_numbers_6_5_fixnumz00, BgL_bgl__za7a7erofxza7f3za754za7za7__r4_numbers_6_5_fixnumza7002014z00, BGl__za7erofxzf3z54zz__r4_numbers_6_5_fixnumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_negativefxzf3zd2envz21zz__r4_numbers_6_5_fixnumz00, BgL_bgl__negativefxza7f3za7f3za7za7__r4_numbers_6_5_fixnumza7002015za7, BGl__negativefxzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_gcdzd2envzd2zz__r4_numbers_6_5_fixnumz00, BgL_bgl__gcdza700za7za7__r4_numbers_6_5_fixnumza7002016z00, va_generic_entry, BGl__gcdz00zz__r4_numbers_6_5_fixnumz00, -1 );
DEFINE_EXPORT_PROCEDURE( BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00, BgL_bgl__za7d3fxza7d3za7za7__r4_numbers_6_5_fixnumza7002017za7, BGl__zd3fxzd3zz__r4_numbers_6_5_fixnumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fixnumzf3zd2envz21zz__r4_numbers_6_5_fixnumz00, BgL_bgl__fixnumza7f3za7f3za7za7__r4_numbers_6_5_fixnumza7002018za7, BGl__fixnumzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_oddzf3zd2envz21zz__r4_numbers_6_5_fixnumz00, BgL_bgl__oddza7f3za7f3za7za7__r4_numbers_6_5_fixnumza7002019za7, BGl__oddzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_llongzf3zd2envz21zz__r4_numbers_6_5_fixnumz00, BgL_bgl__llongza7f3za7f3za7za7__r4_numbers_6_5_fixnumza7002020za7, BGl__llongzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00, BgL_bgl__za7b2fxza7b2za7za7__r4_numbers_6_5_fixnumza7002021za7, BGl__zb2fxzb2zz__r4_numbers_6_5_fixnumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00, BgL_bgl__za7c3fxza7c3za7za7__r4_numbers_6_5_fixnumza7002022za7, BGl__zc3fxzc3zz__r4_numbers_6_5_fixnumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_maxfxzd2envzd2zz__r4_numbers_6_5_fixnumz00, BgL_bgl__maxfxza700za7za7__r4_numbers_6_5_fixnumza7002023z00, va_generic_entry, BGl__maxfxz00zz__r4_numbers_6_5_fixnumz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00, BgL_bgl__za7a2fxza7a2za7za7__r4_numbers_6_5_fixnumza7002024za7, BGl__za2fxza2zz__r4_numbers_6_5_fixnumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_zd3llongzd2envz01zz__r4_numbers_6_5_fixnumz00, BgL_bgl__za7d3llong1812za7d3za7za7__r4_numbers_6_5_fixnumza7002025za7, BGl__zd3llong1812zd3zz__r4_numbers_6_5_fixnumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_integerzd2ze3stringzd2envze3zz__r4_numbers_6_5_fixnumz00, BgL_bgl__integerza7d2za7e3stringza731za7za7__r4_numbers_6_5_fixnumza7002026z00, va_generic_entry, BGl__integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_elongzd2ze3stringzd2envze3zz__r4_numbers_6_5_fixnumz00, BgL_bgl__elongza7d2za7e3string1837za731za7za7__r4_numbers_6_5_fixnumza7002027z00, va_generic_entry, BGl__elongzd2ze3string1837z31zz__r4_numbers_6_5_fixnumz00, -2 );
DEFINE_STRING( BGl_string1990z00zz__r4_numbers_6_5_fixnumz00, BgL_bgl_string1990za700za7za7__r4_numbers_6_5_fixnumza7002028z00, "string->llong", 13 );
DEFINE_STRING( BGl_string1989z00zz__r4_numbers_6_5_fixnumz00, BgL_bgl_string1989za700za7za7__r4_numbers_6_5_fixnumza7002029z00, "string->elong", 13 );
DEFINE_STRING( BGl_string1988z00zz__r4_numbers_6_5_fixnumz00, BgL_bgl_string1988za700za7za7__r4_numbers_6_5_fixnumza7002030z00, "string->integer", 15 );
DEFINE_STRING( BGl_string1987z00zz__r4_numbers_6_5_fixnumz00, BgL_bgl_string1987za700za7za7__r4_numbers_6_5_fixnumza7002031z00, "llong->string", 13 );
DEFINE_EXPORT_PROCEDURE( BGl_negfxzd2envzd2zz__r4_numbers_6_5_fixnumz00, BgL_bgl__negfxza700za7za7__r4_numbers_6_5_fixnumza7002032z00, BGl__negfxz00zz__r4_numbers_6_5_fixnumz00, 0L, 1 );
DEFINE_STRING( BGl_string1986z00zz__r4_numbers_6_5_fixnumz00, BgL_bgl_string1986za700za7za7__r4_numbers_6_5_fixnumza7002033z00, "elong->string", 13 );
DEFINE_EXPORT_PROCEDURE( BGl_quotientzd2envzd2zz__r4_numbers_6_5_fixnumz00, BgL_bgl__quotientza700za7za7__r4_numbers_6_5_fixnumza7002034z00, BGl__quotientz00zz__r4_numbers_6_5_fixnumz00, 0L, 2 );
DEFINE_STRING( BGl_string1985z00zz__r4_numbers_6_5_fixnumz00, BgL_bgl_string1985za700za7za7__r4_numbers_6_5_fixnumza7002035z00, "Illegal radix", 13 );
DEFINE_STRING( BGl_string1984z00zz__r4_numbers_6_5_fixnumz00, BgL_bgl_string1984za700za7za7__r4_numbers_6_5_fixnumza7002036z00, "integer->string", 15 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2ze3elongzd2envze3zz__r4_numbers_6_5_fixnumz00, BgL_bgl__stringza7d2za7e3elongza731za7za7__r4_numbers_6_5_fixnumza7002037z00, va_generic_entry, BGl__stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_remainderzd2envzd2zz__r4_numbers_6_5_fixnumz00, BgL_bgl__remainderza700za7za7__r4_numbers_6_5_fixnumza7002038z00, BGl__remainderz00zz__r4_numbers_6_5_fixnumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2elongzd2envz00zz__r4_numbers_6_5_fixnumz00, BgL_bgl__makeza7d2elongza7d2za7za7__r4_numbers_6_5_fixnumza7002039za7, BGl__makezd2elongzd2zz__r4_numbers_6_5_fixnumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00, BgL_bgl__za7e3za7d3fxza730za7za7__r4_numbers_6_5_fixnumza7002040z00, BGl__ze3zd3fxz30zz__r4_numbers_6_5_fixnumz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long BgL_checksumz00_1024, char * BgL_fromz00_1025)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_fixnumz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* integer? */
BGL_EXPORTED_DEF bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 199 */
if(
INTEGERP(BgL_objz00_1))
{ /* ./Ieee/fixnum.scm 200 */
return ((bool_t)1);}  else 
{ /* ./Ieee/fixnum.scm 200 */
if(
REALP(BgL_objz00_1))
{ /* ./Ieee/fixnum.scm 200 */
double BgL_arg1022z00_975;
BgL_arg1022z00_975 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_objz00_1)); 
{ /* ./Ieee/fixnum.scm 200 */
double BgL_auxz00_1036;
BgL_auxz00_1036 = 
REAL_TO_DOUBLE(BgL_objz00_1); 
return 
(BgL_auxz00_1036==BgL_arg1022z00_975);} }  else 
{ /* ./Ieee/fixnum.scm 200 */
return ((bool_t)0);} } } 
}



/* _integer? */
obj_t BGl__integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_879, obj_t BgL_objz00_880)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 199 */
{ /* ./Ieee/fixnum.scm 200 */
bool_t BgL_auxz00_1039;
if(
INTEGERP(BgL_objz00_880))
{ /* ./Ieee/fixnum.scm 200 */
BgL_auxz00_1039 = ((bool_t)1)
; }  else 
{ /* ./Ieee/fixnum.scm 200 */
if(
REALP(BgL_objz00_880))
{ /* ./Ieee/fixnum.scm 200 */
double BgL_arg1022z00_977;
BgL_arg1022z00_977 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_objz00_880)); 
{ /* ./Ieee/fixnum.scm 200 */
double BgL_auxz00_1046;
BgL_auxz00_1046 = 
REAL_TO_DOUBLE(BgL_objz00_880); 
BgL_auxz00_1039 = 
(BgL_auxz00_1046==BgL_arg1022z00_977); } }  else 
{ /* ./Ieee/fixnum.scm 200 */
BgL_auxz00_1039 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_1039);} } 
}



/* fixnum? */
BGL_EXPORTED_DEF bool_t BGl_fixnumzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_objz00_2)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 209 */
return 
INTEGERP(BgL_objz00_2);} 
}



/* _fixnum? */
obj_t BGl__fixnumzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_881, obj_t BgL_objz00_882)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 209 */
{ /* ./Ieee/fixnum.scm 210 */
bool_t BgL_auxz00_1051;
BgL_auxz00_1051 = 
INTEGERP(BgL_objz00_882); 
return 
BBOOL(BgL_auxz00_1051);} } 
}



/* elong? */
BGL_EXPORTED_DEF bool_t BGl_elongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_objz00_3)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 215 */
return 
ELONGP(BgL_objz00_3);} 
}



/* _elong? */
obj_t BGl__elongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_883, obj_t BgL_objz00_884)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 215 */
{ /* ./Ieee/fixnum.scm 216 */
bool_t BgL_auxz00_1055;
BgL_auxz00_1055 = 
ELONGP(BgL_objz00_884); 
return 
BBOOL(BgL_auxz00_1055);} } 
}



/* llong? */
BGL_EXPORTED_DEF bool_t BGl_llongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_objz00_4)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 221 */
return 
LLONGP(BgL_objz00_4);} 
}



/* _llong? */
obj_t BGl__llongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_885, obj_t BgL_objz00_886)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 221 */
{ /* ./Ieee/fixnum.scm 222 */
bool_t BgL_auxz00_1059;
BgL_auxz00_1059 = 
LLONGP(BgL_objz00_886); 
return 
BBOOL(BgL_auxz00_1059);} } 
}



/* make-elong */
BGL_EXPORTED_DEF obj_t BGl_makezd2elongzd2zz__r4_numbers_6_5_fixnumz00(long BgL_longz00_5)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 227 */
return 
LONG_TO_BELONG(BgL_longz00_5);} 
}



/* _make-elong */
obj_t BGl__makezd2elongzd2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_887, obj_t BgL_longz00_888)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 227 */
{ /* ./Ieee/fixnum.scm 228 */
long BgL_auxz00_1063;
BgL_auxz00_1063 = 
(long)CINT(BgL_longz00_888); 
return 
LONG_TO_BELONG(BgL_auxz00_1063);} } 
}



/* =fx */
BGL_EXPORTED_DEF bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long BgL_n1z00_6, long BgL_n2z00_7)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 233 */
return 
(BgL_n1z00_6==BgL_n2z00_7);} 
}



/* _=fx */
obj_t BGl__zd3fxzd3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_889, obj_t BgL_n1z00_890, obj_t BgL_n2z00_891)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 233 */
{ /* ./Ieee/fixnum.scm 234 */
bool_t BgL_auxz00_1067;
{ /* ./Ieee/fixnum.scm 234 */
long BgL_auxz00_1070;long BgL_auxz00_1068;
BgL_auxz00_1070 = 
(long)CINT(BgL_n2z00_891); 
BgL_auxz00_1068 = 
(long)CINT(BgL_n1z00_890); 
BgL_auxz00_1067 = 
(BgL_auxz00_1068==BgL_auxz00_1070); } 
return 
BBOOL(BgL_auxz00_1067);} } 
}



/* =elong */
BGL_EXPORTED_DEF bool_t BGl_zd3elongzd3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_n1z00_8, obj_t BgL_n2z00_9)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 239 */
{ /* ./Ieee/fixnum.scm 240 */
long BgL_arg1033z00_984;long BgL_arg1034z00_985;
BgL_arg1033z00_984 = 
BELONG_TO_LONG(BgL_n1z00_8); 
BgL_arg1034z00_985 = 
BELONG_TO_LONG(BgL_n2z00_9); 
return 
(BgL_arg1033z00_984==BgL_arg1034z00_985);} } 
}



/* _=elong1810 */
obj_t BGl__zd3elong1810zd3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_892, obj_t BgL_n1z00_893, obj_t BgL_n2z00_894)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 239 */
{ /* ./Ieee/fixnum.scm 240 */
bool_t BgL_auxz00_1077;
{ /* ./Ieee/fixnum.scm 240 */
bool_t BgL_res1991z00_990;
{ /* ./Ieee/fixnum.scm 240 */
long BgL_arg1033z00_988;long BgL_arg1034z00_989;
BgL_arg1033z00_988 = 
BELONG_TO_LONG(BgL_n1z00_893); 
BgL_arg1034z00_989 = 
BELONG_TO_LONG(BgL_n2z00_894); 
BgL_res1991z00_990 = 
(BgL_arg1033z00_988==BgL_arg1034z00_989); } 
BgL_auxz00_1077 = BgL_res1991z00_990; } 
return 
BBOOL(BgL_auxz00_1077);} } 
}



/* =llong */
BGL_EXPORTED_DEF bool_t BGl_zd3llongzd3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_n1z00_10, obj_t BgL_n2z00_11)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 245 */
{ /* ./Ieee/fixnum.scm 246 */
BGL_LONGLONG_T BgL_auxz00_1084;BGL_LONGLONG_T BgL_auxz00_1082;
BgL_auxz00_1084 = 
BLLONG_TO_LLONG(BgL_n2z00_11); 
BgL_auxz00_1082 = 
BLLONG_TO_LLONG(BgL_n1z00_10); 
return 
(BgL_auxz00_1082==BgL_auxz00_1084);} } 
}



/* _=llong1812 */
obj_t BGl__zd3llong1812zd3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_895, obj_t BgL_n1z00_896, obj_t BgL_n2z00_897)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 245 */
{ /* ./Ieee/fixnum.scm 246 */
bool_t BgL_auxz00_1087;
{ /* ./Ieee/fixnum.scm 246 */
BGL_LONGLONG_T BgL_auxz00_1090;BGL_LONGLONG_T BgL_auxz00_1088;
BgL_auxz00_1090 = 
BLLONG_TO_LLONG(BgL_n2z00_897); 
BgL_auxz00_1088 = 
BLLONG_TO_LLONG(BgL_n1z00_896); 
BgL_auxz00_1087 = 
(BgL_auxz00_1088==BgL_auxz00_1090); } 
return 
BBOOL(BgL_auxz00_1087);} } 
}



/* <fx */
BGL_EXPORTED_DEF bool_t BGl_zc3fxzc3zz__r4_numbers_6_5_fixnumz00(long BgL_n1z00_12, long BgL_n2z00_13)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 251 */
return 
(BgL_n1z00_12<BgL_n2z00_13);} 
}



/* _<fx */
obj_t BGl__zc3fxzc3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_898, obj_t BgL_n1z00_899, obj_t BgL_n2z00_900)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 251 */
{ /* ./Ieee/fixnum.scm 252 */
bool_t BgL_auxz00_1095;
{ /* ./Ieee/fixnum.scm 252 */
long BgL_auxz00_1098;long BgL_auxz00_1096;
BgL_auxz00_1098 = 
(long)CINT(BgL_n2z00_900); 
BgL_auxz00_1096 = 
(long)CINT(BgL_n1z00_899); 
BgL_auxz00_1095 = 
(BgL_auxz00_1096<BgL_auxz00_1098); } 
return 
BBOOL(BgL_auxz00_1095);} } 
}



/* >fx */
BGL_EXPORTED_DEF bool_t BGl_ze3fxze3zz__r4_numbers_6_5_fixnumz00(long BgL_n1z00_14, long BgL_n2z00_15)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 257 */
return 
(BgL_n1z00_14>BgL_n2z00_15);} 
}



/* _>fx */
obj_t BGl__ze3fxze3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_901, obj_t BgL_n1z00_902, obj_t BgL_n2z00_903)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 257 */
{ /* ./Ieee/fixnum.scm 258 */
bool_t BgL_auxz00_1103;
{ /* ./Ieee/fixnum.scm 258 */
long BgL_auxz00_1106;long BgL_auxz00_1104;
BgL_auxz00_1106 = 
(long)CINT(BgL_n2z00_903); 
BgL_auxz00_1104 = 
(long)CINT(BgL_n1z00_902); 
BgL_auxz00_1103 = 
(BgL_auxz00_1104>BgL_auxz00_1106); } 
return 
BBOOL(BgL_auxz00_1103);} } 
}



/* <=fx */
BGL_EXPORTED_DEF bool_t BGl_zc3zd3fxz10zz__r4_numbers_6_5_fixnumz00(long BgL_n1z00_16, long BgL_n2z00_17)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 263 */
return 
(BgL_n1z00_16<=BgL_n2z00_17);} 
}



/* _<=fx */
obj_t BGl__zc3zd3fxz10zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_904, obj_t BgL_n1z00_905, obj_t BgL_n2z00_906)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 263 */
{ /* ./Ieee/fixnum.scm 264 */
bool_t BgL_auxz00_1111;
{ /* ./Ieee/fixnum.scm 264 */
long BgL_auxz00_1114;long BgL_auxz00_1112;
BgL_auxz00_1114 = 
(long)CINT(BgL_n2z00_906); 
BgL_auxz00_1112 = 
(long)CINT(BgL_n1z00_905); 
BgL_auxz00_1111 = 
(BgL_auxz00_1112<=BgL_auxz00_1114); } 
return 
BBOOL(BgL_auxz00_1111);} } 
}



/* >=fx */
BGL_EXPORTED_DEF bool_t BGl_ze3zd3fxz30zz__r4_numbers_6_5_fixnumz00(long BgL_n1z00_18, long BgL_n2z00_19)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 269 */
return 
(BgL_n1z00_18>=BgL_n2z00_19);} 
}



/* _>=fx */
obj_t BGl__ze3zd3fxz30zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_907, obj_t BgL_n1z00_908, obj_t BgL_n2z00_909)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 269 */
{ /* ./Ieee/fixnum.scm 270 */
bool_t BgL_auxz00_1119;
{ /* ./Ieee/fixnum.scm 270 */
long BgL_auxz00_1122;long BgL_auxz00_1120;
BgL_auxz00_1122 = 
(long)CINT(BgL_n2z00_909); 
BgL_auxz00_1120 = 
(long)CINT(BgL_n1z00_908); 
BgL_auxz00_1119 = 
(BgL_auxz00_1120>=BgL_auxz00_1122); } 
return 
BBOOL(BgL_auxz00_1119);} } 
}



/* zerofx? */
BGL_EXPORTED_DEF bool_t BGl_za7erofxzf3z54zz__r4_numbers_6_5_fixnumz00(long BgL_nz00_20)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 275 */
return 
(BgL_nz00_20==((long)0));} 
}



/* _zerofx? */
obj_t BGl__za7erofxzf3z54zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_910, obj_t BgL_nz00_911)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 275 */
{ /* ./Ieee/fixnum.scm 276 */
bool_t BgL_auxz00_1127;
{ /* ./Ieee/fixnum.scm 276 */
long BgL_auxz00_1128;
BgL_auxz00_1128 = 
(long)CINT(BgL_nz00_911); 
BgL_auxz00_1127 = 
(BgL_auxz00_1128==((long)0)); } 
return 
BBOOL(BgL_auxz00_1127);} } 
}



/* positivefx? */
BGL_EXPORTED_DEF bool_t BGl_positivefxzf3zf3zz__r4_numbers_6_5_fixnumz00(long BgL_nz00_21)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 281 */
return 
(BgL_nz00_21>((long)0));} 
}



/* _positivefx? */
obj_t BGl__positivefxzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_912, obj_t BgL_nz00_913)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 281 */
{ /* ./Ieee/fixnum.scm 282 */
bool_t BgL_auxz00_1133;
{ /* ./Ieee/fixnum.scm 282 */
long BgL_auxz00_1134;
BgL_auxz00_1134 = 
(long)CINT(BgL_nz00_913); 
BgL_auxz00_1133 = 
(BgL_auxz00_1134>((long)0)); } 
return 
BBOOL(BgL_auxz00_1133);} } 
}



/* negativefx? */
BGL_EXPORTED_DEF bool_t BGl_negativefxzf3zf3zz__r4_numbers_6_5_fixnumz00(long BgL_nz00_22)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 287 */
return 
(BgL_nz00_22<((long)0));} 
}



/* _negativefx? */
obj_t BGl__negativefxzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_914, obj_t BgL_nz00_915)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 287 */
{ /* ./Ieee/fixnum.scm 288 */
bool_t BgL_auxz00_1139;
{ /* ./Ieee/fixnum.scm 288 */
long BgL_auxz00_1140;
BgL_auxz00_1140 = 
(long)CINT(BgL_nz00_915); 
BgL_auxz00_1139 = 
(BgL_auxz00_1140<((long)0)); } 
return 
BBOOL(BgL_auxz00_1139);} } 
}



/* odd? */
BGL_EXPORTED_DEF bool_t BGl_oddzf3zf3zz__r4_numbers_6_5_fixnumz00(long BgL_xz00_23)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 293 */
return 
ODDP_FX(BgL_xz00_23);} 
}



/* _odd? */
obj_t BGl__oddzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_916, obj_t BgL_xz00_917)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 293 */
{ /* ./Ieee/fixnum.scm 294 */
bool_t BgL_auxz00_1145;
{ /* ./Ieee/fixnum.scm 294 */
long BgL_auxz00_1146;
BgL_auxz00_1146 = 
(long)CINT(BgL_xz00_917); 
BgL_auxz00_1145 = 
ODDP_FX(BgL_auxz00_1146); } 
return 
BBOOL(BgL_auxz00_1145);} } 
}



/* even? */
BGL_EXPORTED_DEF bool_t BGl_evenzf3zf3zz__r4_numbers_6_5_fixnumz00(long BgL_xz00_24)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 299 */
return 
EVENP_FX(BgL_xz00_24);} 
}



/* _even? */
obj_t BGl__evenzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_918, obj_t BgL_xz00_919)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 299 */
{ /* ./Ieee/fixnum.scm 300 */
bool_t BgL_auxz00_1151;
{ /* ./Ieee/fixnum.scm 300 */
long BgL_auxz00_1152;
BgL_auxz00_1152 = 
(long)CINT(BgL_xz00_919); 
BgL_auxz00_1151 = 
EVENP_FX(BgL_auxz00_1152); } 
return 
BBOOL(BgL_auxz00_1151);} } 
}



/* maxfx */
BGL_EXPORTED_DEF long BGl_maxfxz00zz__r4_numbers_6_5_fixnumz00(long BgL_n1z00_25, obj_t BgL_nnz00_26)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 305 */
{ 
obj_t BgL_maxz00_304;obj_t BgL_nnz00_305;
{ /* ./Ieee/fixnum.scm 306 */
obj_t BgL_auxz00_1156;
BgL_maxz00_304 = 
BINT(BgL_n1z00_25); 
BgL_nnz00_305 = BgL_nnz00_26; 
BgL_loopz00_306:
if(
NULLP(BgL_nnz00_305))
{ /* ./Ieee/fixnum.scm 308 */
BgL_auxz00_1156 = BgL_maxz00_304
; }  else 
{ /* ./Ieee/fixnum.scm 310 */
bool_t BgL_testz00_1159;
{ /* ./Ieee/fixnum.scm 310 */
long BgL_auxz00_1164;long BgL_auxz00_1160;
BgL_auxz00_1164 = 
(long)CINT(BgL_maxz00_304); 
{ /* ./Ieee/fixnum.scm 310 */
obj_t BgL_auxz00_1161;
BgL_auxz00_1161 = 
CAR(BgL_nnz00_305); 
BgL_auxz00_1160 = 
(long)CINT(BgL_auxz00_1161); } 
BgL_testz00_1159 = 
(BgL_auxz00_1160>BgL_auxz00_1164); } 
if(BgL_testz00_1159)
{ 
obj_t BgL_nnz00_1169;obj_t BgL_maxz00_1167;
BgL_maxz00_1167 = 
CAR(BgL_nnz00_305); 
BgL_nnz00_1169 = 
CDR(BgL_nnz00_305); 
BgL_nnz00_305 = BgL_nnz00_1169; 
BgL_maxz00_304 = BgL_maxz00_1167; 
goto BgL_loopz00_306;}  else 
{ 
obj_t BgL_nnz00_1171;
BgL_nnz00_1171 = 
CDR(BgL_nnz00_305); 
BgL_nnz00_305 = BgL_nnz00_1171; 
goto BgL_loopz00_306;} } 
return 
(long)CINT(BgL_auxz00_1156);} } } 
}



/* _maxfx */
obj_t BGl__maxfxz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_920, obj_t BgL_n1z00_921, obj_t BgL_nnz00_922)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 305 */
{ /* ./Ieee/fixnum.scm 306 */
long BgL_auxz00_1175;
BgL_auxz00_1175 = 
BGl_maxfxz00zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_n1z00_921), BgL_nnz00_922); 
return 
BINT(BgL_auxz00_1175);} } 
}



/* minfx */
BGL_EXPORTED_DEF long BGl_minfxz00zz__r4_numbers_6_5_fixnumz00(long BgL_n1z00_27, obj_t BgL_nnz00_28)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 317 */
{ 
obj_t BgL_minz00_313;obj_t BgL_nnz00_314;
{ /* ./Ieee/fixnum.scm 318 */
obj_t BgL_auxz00_1179;
BgL_minz00_313 = 
BINT(BgL_n1z00_27); 
BgL_nnz00_314 = BgL_nnz00_28; 
BgL_loopz00_315:
if(
NULLP(BgL_nnz00_314))
{ /* ./Ieee/fixnum.scm 320 */
BgL_auxz00_1179 = BgL_minz00_313
; }  else 
{ /* ./Ieee/fixnum.scm 322 */
bool_t BgL_testz00_1182;
{ /* ./Ieee/fixnum.scm 322 */
long BgL_auxz00_1187;long BgL_auxz00_1183;
BgL_auxz00_1187 = 
(long)CINT(BgL_minz00_313); 
{ /* ./Ieee/fixnum.scm 322 */
obj_t BgL_auxz00_1184;
BgL_auxz00_1184 = 
CAR(BgL_nnz00_314); 
BgL_auxz00_1183 = 
(long)CINT(BgL_auxz00_1184); } 
BgL_testz00_1182 = 
(BgL_auxz00_1183<BgL_auxz00_1187); } 
if(BgL_testz00_1182)
{ 
obj_t BgL_nnz00_1192;obj_t BgL_minz00_1190;
BgL_minz00_1190 = 
CAR(BgL_nnz00_314); 
BgL_nnz00_1192 = 
CDR(BgL_nnz00_314); 
BgL_nnz00_314 = BgL_nnz00_1192; 
BgL_minz00_313 = BgL_minz00_1190; 
goto BgL_loopz00_315;}  else 
{ 
obj_t BgL_nnz00_1194;
BgL_nnz00_1194 = 
CDR(BgL_nnz00_314); 
BgL_nnz00_314 = BgL_nnz00_1194; 
goto BgL_loopz00_315;} } 
return 
(long)CINT(BgL_auxz00_1179);} } } 
}



/* _minfx */
obj_t BGl__minfxz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_923, obj_t BgL_n1z00_924, obj_t BgL_nnz00_925)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 317 */
{ /* ./Ieee/fixnum.scm 318 */
long BgL_auxz00_1198;
BgL_auxz00_1198 = 
BGl_minfxz00zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_n1z00_924), BgL_nnz00_925); 
return 
BINT(BgL_auxz00_1198);} } 
}



/* +fx */
BGL_EXPORTED_DEF long BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(long BgL_za71za7_29, long BgL_za72za7_30)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 329 */
return 
(BgL_za71za7_29+BgL_za72za7_30);} 
}



/* _+fx */
obj_t BGl__zb2fxzb2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_926, obj_t BgL_za71za7_927, obj_t BgL_za72za7_928)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 329 */
{ /* ./Ieee/fixnum.scm 330 */
long BgL_auxz00_1203;
{ /* ./Ieee/fixnum.scm 330 */
long BgL_auxz00_1206;long BgL_auxz00_1204;
BgL_auxz00_1206 = 
(long)CINT(BgL_za72za7_928); 
BgL_auxz00_1204 = 
(long)CINT(BgL_za71za7_927); 
BgL_auxz00_1203 = 
(BgL_auxz00_1204+BgL_auxz00_1206); } 
return 
BINT(BgL_auxz00_1203);} } 
}



/* -fx */
BGL_EXPORTED_DEF long BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(long BgL_za71za7_31, long BgL_za72za7_32)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 335 */
return 
(BgL_za71za7_31-BgL_za72za7_32);} 
}



/* _-fx */
obj_t BGl__zd2fxzd2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_929, obj_t BgL_za71za7_930, obj_t BgL_za72za7_931)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 335 */
{ /* ./Ieee/fixnum.scm 336 */
long BgL_auxz00_1211;
{ /* ./Ieee/fixnum.scm 336 */
long BgL_auxz00_1214;long BgL_auxz00_1212;
BgL_auxz00_1214 = 
(long)CINT(BgL_za72za7_931); 
BgL_auxz00_1212 = 
(long)CINT(BgL_za71za7_930); 
BgL_auxz00_1211 = 
(BgL_auxz00_1212-BgL_auxz00_1214); } 
return 
BINT(BgL_auxz00_1211);} } 
}



/* *fx */
BGL_EXPORTED_DEF long BGl_za2fxza2zz__r4_numbers_6_5_fixnumz00(long BgL_za71za7_33, long BgL_za72za7_34)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 341 */
return 
(BgL_za71za7_33*BgL_za72za7_34);} 
}



/* _*fx */
obj_t BGl__za2fxza2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_932, obj_t BgL_za71za7_933, obj_t BgL_za72za7_934)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 341 */
{ /* ./Ieee/fixnum.scm 342 */
long BgL_auxz00_1219;
{ /* ./Ieee/fixnum.scm 342 */
long BgL_auxz00_1222;long BgL_auxz00_1220;
BgL_auxz00_1222 = 
(long)CINT(BgL_za72za7_934); 
BgL_auxz00_1220 = 
(long)CINT(BgL_za71za7_933); 
BgL_auxz00_1219 = 
(BgL_auxz00_1220*BgL_auxz00_1222); } 
return 
BINT(BgL_auxz00_1219);} } 
}



/* /fx */
BGL_EXPORTED_DEF long BGl_zf2fxzf2zz__r4_numbers_6_5_fixnumz00(long BgL_za71za7_35, long BgL_za72za7_36)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 347 */
return 
(BgL_za71za7_35/BgL_za72za7_36);} 
}



/* _/fx */
obj_t BGl__zf2fxzf2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_935, obj_t BgL_za71za7_936, obj_t BgL_za72za7_937)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 347 */
{ /* ./Ieee/fixnum.scm 348 */
long BgL_auxz00_1227;
{ /* ./Ieee/fixnum.scm 348 */
long BgL_auxz00_1230;long BgL_auxz00_1228;
BgL_auxz00_1230 = 
(long)CINT(BgL_za72za7_937); 
BgL_auxz00_1228 = 
(long)CINT(BgL_za71za7_936); 
BgL_auxz00_1227 = 
(BgL_auxz00_1228/BgL_auxz00_1230); } 
return 
BINT(BgL_auxz00_1227);} } 
}



/* negfx */
BGL_EXPORTED_DEF long BGl_negfxz00zz__r4_numbers_6_5_fixnumz00(long BgL_n1z00_37)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 353 */
return 
NEG(BgL_n1z00_37);} 
}



/* _negfx */
obj_t BGl__negfxz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_938, obj_t BgL_n1z00_939)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 353 */
{ /* ./Ieee/fixnum.scm 354 */
long BgL_auxz00_1235;
{ /* ./Ieee/fixnum.scm 354 */
long BgL_auxz00_1236;
BgL_auxz00_1236 = 
(long)CINT(BgL_n1z00_939); 
BgL_auxz00_1235 = 
NEG(BgL_auxz00_1236); } 
return 
BINT(BgL_auxz00_1235);} } 
}



/* absfx */
BGL_EXPORTED_DEF long BGl_absfxz00zz__r4_numbers_6_5_fixnumz00(long BgL_nz00_38)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 359 */
if(
(BgL_nz00_38<((long)0)))
{ /* ./Ieee/fixnum.scm 360 */
return 
NEG(BgL_nz00_38);}  else 
{ /* ./Ieee/fixnum.scm 360 */
return BgL_nz00_38;} } 
}



/* _absfx */
obj_t BGl__absfxz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_940, obj_t BgL_nz00_941)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 359 */
{ /* ./Ieee/fixnum.scm 360 */
long BgL_auxz00_1243;
{ /* ./Ieee/fixnum.scm 360 */
long BgL_nz00_1015;
BgL_nz00_1015 = 
(long)CINT(BgL_nz00_941); 
if(
(BgL_nz00_1015<((long)0)))
{ /* ./Ieee/fixnum.scm 360 */
BgL_auxz00_1243 = 
NEG(BgL_nz00_1015)
; }  else 
{ /* ./Ieee/fixnum.scm 360 */
BgL_auxz00_1243 = BgL_nz00_1015
; } } 
return 
BINT(BgL_auxz00_1243);} } 
}



/* quotient */
BGL_EXPORTED_DEF long BGl_quotientz00zz__r4_numbers_6_5_fixnumz00(long BgL_n1z00_39, long BgL_n2z00_40)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 367 */
return 
(BgL_n1z00_39/BgL_n2z00_40);} 
}



/* _quotient */
obj_t BGl__quotientz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_942, obj_t BgL_n1z00_943, obj_t BgL_n2z00_944)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 367 */
{ /* ./Ieee/fixnum.scm 368 */
long BgL_auxz00_1250;
{ /* ./Ieee/fixnum.scm 368 */
long BgL_auxz00_1253;long BgL_auxz00_1251;
BgL_auxz00_1253 = 
(long)CINT(BgL_n2z00_944); 
BgL_auxz00_1251 = 
(long)CINT(BgL_n1z00_943); 
BgL_auxz00_1250 = 
(BgL_auxz00_1251/BgL_auxz00_1253); } 
return 
BINT(BgL_auxz00_1250);} } 
}



/* remainder */
BGL_EXPORTED_DEF long BGl_remainderz00zz__r4_numbers_6_5_fixnumz00(long BgL_n1z00_41, long BgL_n2z00_42)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 373 */
return 
(BgL_n1z00_41%BgL_n2z00_42);} 
}



/* _remainder */
obj_t BGl__remainderz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_945, obj_t BgL_n1z00_946, obj_t BgL_n2z00_947)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 373 */
{ /* ./Ieee/fixnum.scm 374 */
long BgL_auxz00_1258;
{ /* ./Ieee/fixnum.scm 374 */
long BgL_auxz00_1261;long BgL_auxz00_1259;
BgL_auxz00_1261 = 
(long)CINT(BgL_n2z00_947); 
BgL_auxz00_1259 = 
(long)CINT(BgL_n1z00_946); 
BgL_auxz00_1258 = 
(BgL_auxz00_1259%BgL_auxz00_1261); } 
return 
BINT(BgL_auxz00_1258);} } 
}



/* modulo */
BGL_EXPORTED_DEF long BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(long BgL_xz00_43, long BgL_yz00_44)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 379 */
{ /* ./Ieee/fixnum.scm 380 */
long BgL_rz00_323;
BgL_rz00_323 = 
(BgL_xz00_43%BgL_yz00_44); 
if(
(BgL_rz00_323==((long)0)))
{ /* ./Ieee/fixnum.scm 381 */
return BgL_rz00_323;}  else 
{ /* ./Ieee/fixnum.scm 381 */
if(
(BgL_yz00_44>((long)0)))
{ /* ./Ieee/fixnum.scm 383 */
if(
(BgL_rz00_323>((long)0)))
{ /* ./Ieee/fixnum.scm 384 */
return BgL_rz00_323;}  else 
{ /* ./Ieee/fixnum.scm 384 */
return 
(BgL_yz00_44+BgL_rz00_323);} }  else 
{ /* ./Ieee/fixnum.scm 383 */
if(
(BgL_rz00_323<((long)0)))
{ /* ./Ieee/fixnum.scm 385 */
return BgL_rz00_323;}  else 
{ /* ./Ieee/fixnum.scm 385 */
return 
(BgL_yz00_44+BgL_rz00_323);} } } } } 
}



/* _modulo */
obj_t BGl__moduloz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_948, obj_t BgL_xz00_949, obj_t BgL_yz00_950)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 379 */
{ /* ./Ieee/fixnum.scm 380 */
long BgL_auxz00_1276;
BgL_auxz00_1276 = 
BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_xz00_949), 
(long)CINT(BgL_yz00_950)); 
return 
BINT(BgL_auxz00_1276);} } 
}



/* gcd */
BGL_EXPORTED_DEF long BGl_gcdz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_xz00_45)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 390 */
{ 
long BgL_mz00_347;long BgL_nz00_348;
{ 

{ /* ./Ieee/fixnum.scm 398 */
long BgL_aux1004z00_330;
BgL_aux1004z00_330 = 
bgl_list_length(BgL_xz00_45); 
switch( BgL_aux1004z00_330) { case ((long)0) : 

return ((long)0);break;case ((long)1) : 

{ /* ./Ieee/fixnum.scm 400 */
long BgL_nz00_596;
{ /* ./Ieee/fixnum.scm 400 */
obj_t BgL_auxz00_1282;
BgL_auxz00_1282 = 
CAR(BgL_xz00_45); 
BgL_nz00_596 = 
(long)CINT(BgL_auxz00_1282); } 
if(
(BgL_nz00_596<((long)0)))
{ /* ./Ieee/fixnum.scm 400 */
return 
NEG(BgL_nz00_596);}  else 
{ /* ./Ieee/fixnum.scm 400 */
return BgL_nz00_596;} } break;
default: 
{ /* ./Ieee/fixnum.scm 402 */
long BgL_arg1123z00_336;obj_t BgL_arg1124z00_337;
{ /* ./Ieee/fixnum.scm 402 */
long BgL_arg1127z00_338;long BgL_arg1128z00_339;
{ /* ./Ieee/fixnum.scm 402 */
long BgL_nz00_603;
{ /* ./Ieee/fixnum.scm 402 */
obj_t BgL_auxz00_1288;
BgL_auxz00_1288 = 
CAR(BgL_xz00_45); 
BgL_nz00_603 = 
(long)CINT(BgL_auxz00_1288); } 
if(
(BgL_nz00_603<((long)0)))
{ /* ./Ieee/fixnum.scm 402 */
BgL_arg1127z00_338 = 
NEG(BgL_nz00_603); }  else 
{ /* ./Ieee/fixnum.scm 402 */
BgL_arg1127z00_338 = BgL_nz00_603; } } 
{ /* ./Ieee/fixnum.scm 402 */
long BgL_nz00_613;
{ /* ./Ieee/fixnum.scm 402 */
obj_t BgL_auxz00_1294;
{ /* ./Ieee/fixnum.scm 402 */
obj_t BgL_auxz00_1295;
BgL_auxz00_1295 = 
CDR(BgL_xz00_45); 
BgL_auxz00_1294 = 
CAR(BgL_auxz00_1295); } 
BgL_nz00_613 = 
(long)CINT(BgL_auxz00_1294); } 
if(
(BgL_nz00_613<((long)0)))
{ /* ./Ieee/fixnum.scm 402 */
BgL_arg1128z00_339 = 
NEG(BgL_nz00_613); }  else 
{ /* ./Ieee/fixnum.scm 402 */
BgL_arg1128z00_339 = BgL_nz00_613; } } 
{ 
long BgL_mz00_620;long BgL_nz00_621;
BgL_mz00_620 = BgL_arg1127z00_338; 
BgL_nz00_621 = BgL_arg1128z00_339; 
BgL_gcd2z00_619:
if(
(BgL_nz00_621==((long)0)))
{ /* ./Ieee/fixnum.scm 402 */
BgL_arg1123z00_336 = BgL_mz00_620; }  else 
{ /* ./Ieee/fixnum.scm 402 */
long BgL_rz00_626;
BgL_rz00_626 = 
(BgL_mz00_620%BgL_nz00_621); 
if(
(BgL_rz00_626==((long)0)))
{ /* ./Ieee/fixnum.scm 402 */
BgL_arg1123z00_336 = BgL_nz00_621; }  else 
{ 
long BgL_nz00_1308;long BgL_mz00_1307;
BgL_mz00_1307 = BgL_nz00_621; 
BgL_nz00_1308 = BgL_rz00_626; 
BgL_nz00_621 = BgL_nz00_1308; 
BgL_mz00_620 = BgL_mz00_1307; 
goto BgL_gcd2z00_619;} } } } 
{ /* ./Ieee/fixnum.scm 403 */
obj_t BgL_auxz00_1309;
BgL_auxz00_1309 = 
CDR(BgL_xz00_45); 
BgL_arg1124z00_337 = 
CDR(BgL_auxz00_1309); } 
{ 
long BgL_resultz00_640;obj_t BgL_leftz00_641;
BgL_resultz00_640 = BgL_arg1123z00_336; 
BgL_leftz00_641 = BgL_arg1124z00_337; 
BgL_loopz00_639:
if(
PAIRP(BgL_leftz00_641))
{ /* ./Ieee/fixnum.scm 402 */
long BgL_arg1141z00_648;obj_t BgL_arg1142z00_649;
{ /* ./Ieee/fixnum.scm 402 */
long BgL_arg1146z00_650;
{ /* ./Ieee/fixnum.scm 402 */
long BgL_nz00_654;
{ /* ./Ieee/fixnum.scm 402 */
obj_t BgL_auxz00_1314;
BgL_auxz00_1314 = 
CAR(BgL_leftz00_641); 
BgL_nz00_654 = 
(long)CINT(BgL_auxz00_1314); } 
if(
(BgL_nz00_654<((long)0)))
{ /* ./Ieee/fixnum.scm 402 */
BgL_arg1146z00_650 = 
NEG(BgL_nz00_654); }  else 
{ /* ./Ieee/fixnum.scm 402 */
BgL_arg1146z00_650 = BgL_nz00_654; } } 
BgL_mz00_347 = BgL_resultz00_640; 
BgL_nz00_348 = BgL_arg1146z00_650; 
BgL_zc3anonymousza31154ze3z83_349:
if(
(BgL_nz00_348==((long)0)))
{ /* ./Ieee/fixnum.scm 392 */
BgL_arg1141z00_648 = BgL_mz00_347; }  else 
{ /* ./Ieee/fixnum.scm 392 */
long BgL_rz00_708;
BgL_rz00_708 = 
(BgL_mz00_347%BgL_nz00_348); 
{ /* ./Ieee/fixnum.scm 392 */
bool_t BgL_test1156z00_709;
BgL_test1156z00_709 = 
(BgL_rz00_708==((long)0)); 
if(BgL_test1156z00_709)
{ /* ./Ieee/fixnum.scm 392 */
BgL_arg1141z00_648 = BgL_nz00_348; }  else 
{ /* ./Ieee/fixnum.scm 392 */
if(BgL_test1156z00_709)
{ /* ./Ieee/fixnum.scm 392 */
BgL_arg1141z00_648 = BgL_nz00_348; }  else 
{ /* ./Ieee/fixnum.scm 392 */
long BgL_rz00_720;
BgL_rz00_720 = 
(BgL_nz00_348%BgL_rz00_708); 
if(
(BgL_rz00_720==((long)0)))
{ /* ./Ieee/fixnum.scm 392 */
BgL_arg1141z00_648 = BgL_rz00_708; }  else 
{ 
long BgL_nz00_1330;long BgL_mz00_1329;
BgL_mz00_1329 = BgL_rz00_708; 
BgL_nz00_1330 = BgL_rz00_720; 
BgL_nz00_348 = BgL_nz00_1330; 
BgL_mz00_347 = BgL_mz00_1329; 
goto BgL_zc3anonymousza31154ze3z83_349;} } } } } } 
BgL_arg1142z00_649 = 
CDR(BgL_leftz00_641); 
{ 
obj_t BgL_leftz00_1333;long BgL_resultz00_1332;
BgL_resultz00_1332 = BgL_arg1141z00_648; 
BgL_leftz00_1333 = BgL_arg1142z00_649; 
BgL_leftz00_641 = BgL_leftz00_1333; 
BgL_resultz00_640 = BgL_resultz00_1332; 
goto BgL_loopz00_639;} }  else 
{ /* ./Ieee/fixnum.scm 402 */
return BgL_resultz00_640;} } } } } } } } 
}



/* _gcd */
obj_t BGl__gcdz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_951, obj_t BgL_xz00_952)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 390 */
{ /* ./Ieee/fixnum.scm 397 */
long BgL_auxz00_1335;
BgL_auxz00_1335 = 
BGl_gcdz00zz__r4_numbers_6_5_fixnumz00(BgL_xz00_952); 
return 
BINT(BgL_auxz00_1335);} } 
}



/* lcm */
BGL_EXPORTED_DEF long BGl_lcmz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_xz00_46)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 411 */
{ 

{ /* ./Ieee/fixnum.scm 418 */
long BgL_aux1006z00_356;
BgL_aux1006z00_356 = 
bgl_list_length(BgL_xz00_46); 
switch( BgL_aux1006z00_356) { case ((long)0) : 

return ((long)1);break;case ((long)1) : 

{ /* ./Ieee/fixnum.scm 420 */
long BgL_nz00_730;
{ /* ./Ieee/fixnum.scm 420 */
obj_t BgL_auxz00_1339;
BgL_auxz00_1339 = 
CAR(BgL_xz00_46); 
BgL_nz00_730 = 
(long)CINT(BgL_auxz00_1339); } 
if(
(BgL_nz00_730<((long)0)))
{ /* ./Ieee/fixnum.scm 420 */
return 
NEG(BgL_nz00_730);}  else 
{ /* ./Ieee/fixnum.scm 420 */
return BgL_nz00_730;} } break;
default: 
{ /* ./Ieee/fixnum.scm 421 */
long BgL_arg1171z00_362;obj_t BgL_arg1172z00_363;
{ /* ./Ieee/fixnum.scm 421 */
obj_t BgL_auxz00_1345;
{ /* ./Ieee/fixnum.scm 421 */
obj_t BgL_auxz00_1347;
BgL_auxz00_1347 = 
CDR(BgL_xz00_46); 
BgL_auxz00_1345 = 
CAR(BgL_auxz00_1347); } 
BgL_arg1171z00_362 = 
BGl_lcm2z00zz__r4_numbers_6_5_fixnumz00(
CAR(BgL_xz00_46), BgL_auxz00_1345); } 
{ /* ./Ieee/fixnum.scm 421 */
obj_t BgL_auxz00_1351;
BgL_auxz00_1351 = 
CDR(BgL_xz00_46); 
BgL_arg1172z00_363 = 
CDR(BgL_auxz00_1351); } 
{ 
long BgL_resultz00_746;obj_t BgL_leftz00_747;
BgL_resultz00_746 = BgL_arg1171z00_362; 
BgL_leftz00_747 = BgL_arg1172z00_363; 
BgL_loopz00_745:
if(
PAIRP(BgL_leftz00_747))
{ 
obj_t BgL_leftz00_1360;long BgL_resultz00_1356;
BgL_resultz00_1356 = 
BGl_lcm2z00zz__r4_numbers_6_5_fixnumz00(
BINT(BgL_resultz00_746), 
CAR(BgL_leftz00_747)); 
BgL_leftz00_1360 = 
CDR(BgL_leftz00_747); 
BgL_leftz00_747 = BgL_leftz00_1360; 
BgL_resultz00_746 = BgL_resultz00_1356; 
goto BgL_loopz00_745;}  else 
{ /* ./Ieee/fixnum.scm 421 */
return BgL_resultz00_746;} } } } } } } 
}



/* lcm2 */
long BGl_lcm2z00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_mz00_370, obj_t BgL_nz00_371)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 417 */
{ /* ./Ieee/fixnum.scm 413 */
long BgL_mz00_373;long BgL_nz00_374;
{ /* ./Ieee/fixnum.scm 413 */
long BgL_nz00_775;
BgL_nz00_775 = 
(long)CINT(BgL_mz00_370); 
if(
(BgL_nz00_775<((long)0)))
{ /* ./Ieee/fixnum.scm 413 */
BgL_mz00_373 = 
NEG(BgL_nz00_775); }  else 
{ /* ./Ieee/fixnum.scm 413 */
BgL_mz00_373 = BgL_nz00_775; } } 
{ /* ./Ieee/fixnum.scm 413 */
long BgL_nz00_781;
BgL_nz00_781 = 
(long)CINT(BgL_nz00_371); 
if(
(BgL_nz00_781<((long)0)))
{ /* ./Ieee/fixnum.scm 413 */
BgL_nz00_374 = 
NEG(BgL_nz00_781); }  else 
{ /* ./Ieee/fixnum.scm 413 */
BgL_nz00_374 = BgL_nz00_781; } } 
if(
(BgL_mz00_373==BgL_nz00_374))
{ /* ./Ieee/fixnum.scm 414 */
return BgL_mz00_373;}  else 
{ /* ./Ieee/fixnum.scm 415 */
bool_t BgL_test1197z00_376;
{ /* ./Ieee/fixnum.scm 415 */
long BgL_arg1217z00_384;
BgL_arg1217z00_384 = 
(BgL_mz00_373%BgL_nz00_374); 
BgL_test1197z00_376 = 
(BgL_arg1217z00_384==((long)0)); } 
if(BgL_test1197z00_376)
{ /* ./Ieee/fixnum.scm 415 */
return BgL_mz00_373;}  else 
{ /* ./Ieee/fixnum.scm 416 */
bool_t BgL_test1198z00_377;
{ /* ./Ieee/fixnum.scm 416 */
long BgL_arg1212z00_382;
BgL_arg1212z00_382 = 
(BgL_nz00_374%BgL_mz00_373); 
BgL_test1198z00_377 = 
(BgL_arg1212z00_382==((long)0)); } 
if(BgL_test1198z00_377)
{ /* ./Ieee/fixnum.scm 416 */
return BgL_nz00_374;}  else 
{ /* ./Ieee/fixnum.scm 416 */
{ /* ./Ieee/fixnum.scm 417 */
long BgL_arg1200z00_378;
{ /* ./Ieee/fixnum.scm 417 */
long BgL_arg1203z00_379;
{ /* ./Ieee/fixnum.scm 417 */
obj_t BgL_list1206z00_380;
{ /* ./Ieee/fixnum.scm 417 */
obj_t BgL_arg1208z00_381;
{ /* ./Ieee/fixnum.scm 417 */
obj_t BgL_auxz00_1379;
BgL_auxz00_1379 = 
BINT(BgL_nz00_374); 
BgL_arg1208z00_381 = 
MAKE_PAIR(BgL_auxz00_1379, BNIL); } 
{ /* ./Ieee/fixnum.scm 417 */
obj_t BgL_auxz00_1382;
BgL_auxz00_1382 = 
BINT(BgL_mz00_373); 
BgL_list1206z00_380 = 
MAKE_PAIR(BgL_auxz00_1382, BgL_arg1208z00_381); } } 
BgL_arg1203z00_379 = 
BGl_gcdz00zz__r4_numbers_6_5_fixnumz00(BgL_list1206z00_380); } 
BgL_arg1200z00_378 = 
(BgL_mz00_373/BgL_arg1203z00_379); } 
return 
(BgL_arg1200z00_378*BgL_nz00_374);} } } } } } 
}



/* _lcm */
obj_t BGl__lcmz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_953, obj_t BgL_xz00_954)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 411 */
{ /* ./Ieee/fixnum.scm 417 */
long BgL_auxz00_1388;
BgL_auxz00_1388 = 
BGl_lcmz00zz__r4_numbers_6_5_fixnumz00(BgL_xz00_954); 
return 
BINT(BgL_auxz00_1388);} } 
}



/* integer->string */
BGL_EXPORTED_DEF obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long BgL_xz00_47, obj_t BgL_radixz00_48)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 429 */
{ /* ./Ieee/fixnum.scm 430 */
obj_t BgL_rz00_387;
if(
NULLP(BgL_radixz00_48))
{ /* ./Ieee/fixnum.scm 430 */
BgL_rz00_387 = 
BINT(((long)10)); }  else 
{ /* ./Ieee/fixnum.scm 430 */
BgL_rz00_387 = 
CAR(BgL_radixz00_48); } 
if(
INTEGERP(BgL_rz00_387))
{ /* ./Ieee/fixnum.scm 431 */
switch( 
(long)CINT(BgL_rz00_387)) { case ((long)2) : 
case ((long)8) : 
case ((long)10) : 
case ((long)16) : 

{ /* ./Ieee/fixnum.scm 433 */
long BgL_auxz00_1397;
BgL_auxz00_1397 = 
(long)CINT(BgL_rz00_387); 
return 
integer_to_string(BgL_xz00_47, BgL_auxz00_1397);} break;
default: 
FAILURE(BGl_string1984z00zz__r4_numbers_6_5_fixnumz00,BGl_string1985z00zz__r4_numbers_6_5_fixnumz00,BgL_rz00_387);} }  else 
{ /* ./Ieee/fixnum.scm 431 */
FAILURE(BGl_string1984z00zz__r4_numbers_6_5_fixnumz00,BGl_string1985z00zz__r4_numbers_6_5_fixnumz00,BgL_rz00_387);} } } 
}



/* _integer->string */
obj_t BGl__integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_955, obj_t BgL_xz00_956, obj_t BgL_radixz00_957)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 429 */
return 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_xz00_956), BgL_radixz00_957);} 
}



/* elong->string */
BGL_EXPORTED_DEF obj_t BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(obj_t BgL_xz00_49, obj_t BgL_radixz00_50)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 440 */
{ /* ./Ieee/fixnum.scm 441 */
obj_t BgL_rz00_392;
if(
NULLP(BgL_radixz00_50))
{ /* ./Ieee/fixnum.scm 441 */
BgL_rz00_392 = 
BINT(((long)10)); }  else 
{ /* ./Ieee/fixnum.scm 441 */
BgL_rz00_392 = 
CAR(BgL_radixz00_50); } 
if(
INTEGERP(BgL_rz00_392))
{ /* ./Ieee/fixnum.scm 442 */
switch( 
(long)CINT(BgL_rz00_392)) { case ((long)2) : 
case ((long)8) : 
case ((long)10) : 
case ((long)16) : 

{ /* ./Ieee/fixnum.scm 444 */
long BgL_arg1235z00_396;
BgL_arg1235z00_396 = 
BELONG_TO_LONG(BgL_xz00_49); 
{ /* ./Ieee/fixnum.scm 444 */
long BgL_auxz00_1413;
BgL_auxz00_1413 = 
(long)CINT(BgL_rz00_392); 
return 
integer_to_string(BgL_arg1235z00_396, BgL_auxz00_1413);} } break;
default: 
FAILURE(BGl_string1986z00zz__r4_numbers_6_5_fixnumz00,BGl_string1985z00zz__r4_numbers_6_5_fixnumz00,BgL_rz00_392);} }  else 
{ /* ./Ieee/fixnum.scm 442 */
FAILURE(BGl_string1986z00zz__r4_numbers_6_5_fixnumz00,BGl_string1985z00zz__r4_numbers_6_5_fixnumz00,BgL_rz00_392);} } } 
}



/* _elong->string1837 */
obj_t BGl__elongzd2ze3string1837z31zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_958, obj_t BgL_xz00_959, obj_t BgL_radixz00_960)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 440 */
return 
BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_xz00_959, BgL_radixz00_960);} 
}



/* llong->string */
BGL_EXPORTED_DEF obj_t BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(obj_t BgL_xz00_51, obj_t BgL_radixz00_52)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 451 */
{ /* ./Ieee/fixnum.scm 452 */
obj_t BgL_rz00_398;
if(
NULLP(BgL_radixz00_52))
{ /* ./Ieee/fixnum.scm 452 */
BgL_rz00_398 = 
BINT(((long)10)); }  else 
{ /* ./Ieee/fixnum.scm 452 */
BgL_rz00_398 = 
CAR(BgL_radixz00_52); } 
if(
INTEGERP(BgL_rz00_398))
{ /* ./Ieee/fixnum.scm 453 */
switch( 
(long)CINT(BgL_rz00_398)) { case ((long)2) : 
case ((long)8) : 
case ((long)10) : 
case ((long)16) : 

{ /* ./Ieee/fixnum.scm 455 */
long BgL_auxz00_1429;BGL_LONGLONG_T BgL_auxz00_1427;
BgL_auxz00_1429 = 
(long)CINT(BgL_rz00_398); 
BgL_auxz00_1427 = 
BLLONG_TO_LLONG(BgL_xz00_51); 
return 
llong_to_string(BgL_auxz00_1427, BgL_auxz00_1429);} break;
default: 
FAILURE(BGl_string1987z00zz__r4_numbers_6_5_fixnumz00,BGl_string1985z00zz__r4_numbers_6_5_fixnumz00,BgL_rz00_398);} }  else 
{ /* ./Ieee/fixnum.scm 453 */
FAILURE(BGl_string1987z00zz__r4_numbers_6_5_fixnumz00,BGl_string1985z00zz__r4_numbers_6_5_fixnumz00,BgL_rz00_398);} } } 
}



/* _llong->string1839 */
obj_t BGl__llongzd2ze3string1839z31zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_961, obj_t BgL_xz00_962, obj_t BgL_radixz00_963)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 451 */
return 
BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_xz00_962, BgL_radixz00_963);} 
}



/* string->integer */
BGL_EXPORTED_DEF long BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t BgL_stringz00_53, obj_t BgL_radixz00_54)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 462 */
{ /* ./Ieee/fixnum.scm 463 */
obj_t BgL_rz00_404;
if(
NULLP(BgL_radixz00_54))
{ /* ./Ieee/fixnum.scm 463 */
BgL_rz00_404 = 
BINT(((long)10)); }  else 
{ /* ./Ieee/fixnum.scm 463 */
BgL_rz00_404 = 
CAR(BgL_radixz00_54); } 
if(
INTEGERP(BgL_rz00_404))
{ /* ./Ieee/fixnum.scm 464 */
switch( 
(long)CINT(BgL_rz00_404)) { case ((long)2) : 
case ((long)8) : 
case ((long)10) : 
case ((long)16) : 

{ /* ./Ieee/fixnum.scm 466 */
long BgL_auxz00_1445;char * BgL_auxz00_1443;
BgL_auxz00_1445 = 
(long)CINT(BgL_rz00_404); 
BgL_auxz00_1443 = 
BSTRING_TO_STRING(BgL_stringz00_53); 
return 
strtol(BgL_auxz00_1443, ((long)0), BgL_auxz00_1445);} break;
default: 
FAILURE(BGl_string1988z00zz__r4_numbers_6_5_fixnumz00,BGl_string1985z00zz__r4_numbers_6_5_fixnumz00,BgL_rz00_404);} }  else 
{ /* ./Ieee/fixnum.scm 464 */
FAILURE(BGl_string1988z00zz__r4_numbers_6_5_fixnumz00,BGl_string1985z00zz__r4_numbers_6_5_fixnumz00,BgL_rz00_404);} } } 
}



/* _string->integer */
obj_t BGl__stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_964, obj_t BgL_stringz00_965, obj_t BgL_radixz00_966)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 462 */
{ /* ./Ieee/fixnum.scm 463 */
long BgL_auxz00_1452;
BgL_auxz00_1452 = 
BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(BgL_stringz00_965, BgL_radixz00_966); 
return 
BINT(BgL_auxz00_1452);} } 
}



/* string->elong */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00(obj_t BgL_stringz00_55, obj_t BgL_radixz00_56)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 473 */
{ /* ./Ieee/fixnum.scm 474 */
obj_t BgL_rz00_409;
if(
NULLP(BgL_radixz00_56))
{ /* ./Ieee/fixnum.scm 474 */
BgL_rz00_409 = 
BINT(((long)10)); }  else 
{ /* ./Ieee/fixnum.scm 474 */
BgL_rz00_409 = 
CAR(BgL_radixz00_56); } 
if(
INTEGERP(BgL_rz00_409))
{ /* ./Ieee/fixnum.scm 475 */
switch( 
(long)CINT(BgL_rz00_409)) { case ((long)2) : 
case ((long)8) : 
case ((long)10) : 
case ((long)16) : 

{ /* ./Ieee/fixnum.scm 477 */
long BgL_auxz00_1461;
{ /* ./Ieee/fixnum.scm 477 */
long BgL_auxz00_1464;char * BgL_auxz00_1462;
BgL_auxz00_1464 = 
(long)CINT(BgL_rz00_409); 
BgL_auxz00_1462 = 
BSTRING_TO_STRING(BgL_stringz00_55); 
BgL_auxz00_1461 = 
strtol(BgL_auxz00_1462, ((long)0), BgL_auxz00_1464); } 
return 
LONG_TO_BELONG(BgL_auxz00_1461);} break;
default: 
FAILURE(BGl_string1989z00zz__r4_numbers_6_5_fixnumz00,BGl_string1985z00zz__r4_numbers_6_5_fixnumz00,BgL_rz00_409);} }  else 
{ /* ./Ieee/fixnum.scm 475 */
FAILURE(BGl_string1989z00zz__r4_numbers_6_5_fixnumz00,BGl_string1985z00zz__r4_numbers_6_5_fixnumz00,BgL_rz00_409);} } } 
}



/* _string->elong */
obj_t BGl__stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_967, obj_t BgL_stringz00_968, obj_t BgL_radixz00_969)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 473 */
return 
BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00(BgL_stringz00_968, BgL_radixz00_969);} 
}



/* string->llong */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3llongz31zz__r4_numbers_6_5_fixnumz00(obj_t BgL_stringz00_57, obj_t BgL_radixz00_58)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 484 */
{ /* ./Ieee/fixnum.scm 485 */
obj_t BgL_rz00_414;
if(
NULLP(BgL_radixz00_58))
{ /* ./Ieee/fixnum.scm 485 */
BgL_rz00_414 = 
BINT(((long)10)); }  else 
{ /* ./Ieee/fixnum.scm 485 */
BgL_rz00_414 = 
CAR(BgL_radixz00_58); } 
if(
INTEGERP(BgL_rz00_414))
{ /* ./Ieee/fixnum.scm 486 */
switch( 
(long)CINT(BgL_rz00_414)) { case ((long)2) : 
case ((long)8) : 
case ((long)10) : 
case ((long)16) : 

{ /* ./Ieee/fixnum.scm 488 */
BGL_LONGLONG_T BgL_auxz00_1479;
{ /* ./Ieee/fixnum.scm 488 */
long BgL_auxz00_1482;char * BgL_auxz00_1480;
BgL_auxz00_1482 = 
(long)CINT(BgL_rz00_414); 
BgL_auxz00_1480 = 
BSTRING_TO_STRING(BgL_stringz00_57); 
BgL_auxz00_1479 = 
BGL_STRTOLL(BgL_auxz00_1480, ((long)0), BgL_auxz00_1482); } 
return 
LLONG_TO_BLLONG(BgL_auxz00_1479);} break;
default: 
FAILURE(BGl_string1990z00zz__r4_numbers_6_5_fixnumz00,BGl_string1985z00zz__r4_numbers_6_5_fixnumz00,BgL_rz00_414);} }  else 
{ /* ./Ieee/fixnum.scm 486 */
FAILURE(BGl_string1990z00zz__r4_numbers_6_5_fixnumz00,BGl_string1985z00zz__r4_numbers_6_5_fixnumz00,BgL_rz00_414);} } } 
}



/* _string->llong */
obj_t BGl__stringzd2ze3llongz31zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_970, obj_t BgL_stringz00_971, obj_t BgL_radixz00_972)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 484 */
return 
BGl_stringzd2ze3llongz31zz__r4_numbers_6_5_fixnumz00(BgL_stringz00_971, BgL_radixz00_972);} 
}



/* random */
BGL_EXPORTED_DEF int BGl_randomz00zz__r4_numbers_6_5_fixnumz00(int BgL_maxz00_59)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 495 */
{ /* ./Ieee/fixnum.scm 496 */
int BgL_arg1287z00_1020;
BgL_arg1287z00_1020 = 
rand(); 
{ /* ./Ieee/fixnum.scm 496 */
long BgL_auxz00_1492;
BgL_auxz00_1492 = 
BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg1287z00_1020), 
(long)(BgL_maxz00_59)); 
return 
(int)(BgL_auxz00_1492);} } } 
}



/* _random */
obj_t BGl__randomz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_973, obj_t BgL_maxz00_974)
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 495 */
{ /* ./Ieee/fixnum.scm 496 */
int BgL_auxz00_1497;
{ /* ./Ieee/fixnum.scm 496 */
int BgL_res1992z00_1023;
{ /* ./Ieee/fixnum.scm 496 */
int BgL_maxz00_1021;
BgL_maxz00_1021 = 
CINT(BgL_maxz00_974); 
{ /* ./Ieee/fixnum.scm 496 */
int BgL_arg1287z00_1022;
BgL_arg1287z00_1022 = 
rand(); 
{ /* ./Ieee/fixnum.scm 496 */
long BgL_auxz00_1500;
BgL_auxz00_1500 = 
BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg1287z00_1022), 
(long)(BgL_maxz00_1021)); 
BgL_res1992z00_1023 = 
(int)(BgL_auxz00_1500); } } } 
BgL_auxz00_1497 = BgL_res1992z00_1023; } 
return 
BINT(BgL_auxz00_1497);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_fixnumz00()
{ AN_OBJECT;
{ /* ./Ieee/fixnum.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__r4_numbers_6_5_fixnum");} 
}

